#!/bin/sh
echo 'name: mueval
version: 0.8.1
id: mueval-0.8.1-fda50f32398c7955e1ba14ec5dea1c7b

license: BSD3
copyright:
maintainer: Gwern <gwern0@gmail.com>
stability:
homepage: http://code.haskell.org/mubot/
package-url:
description: Mueval is a Haskell interpreter. It
             uses the GHC API to evaluate arbitrary Haskell expressions.
             Importantly, mueval takes many precautions to defang and avoid \"evil\"
             code.  It uses resource limits, whitelisted modules,
             special Show instances for IO, threads, processes, changes of directory, and so
             on to sandbox the Haskell code.
             .
             It is, in short, intended to be a standalone version of Lambdabot'\''s famous
             evaluation functionality. For examples and explanations, please see the README file.
             .
             Mueval is POSIX-only.
category: Development, Language
author: Gwern
exposed: True
exposed-modules: Mueval.Parallel Mueval.Context Mueval.Interpreter
                 Mueval.ArgsParse Mueval.Resources
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/mueval-0.8.1
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/mueval-0.8.1
              /usr/local/lib
hs-libraries: HSmueval-0.8.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: Cabal-1.10.2.0-f1c0de279ed1f41306eec897d7b4d832
         base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         directory-1.1.0.0-689c0feb497f60ef9b6c9a128fc1997e
         extensible-exceptions-0.1.1.2-d8c5b906654260efd7249f497d17a831
         filepath-1.2.0.0-b273467b63dd15270d77af61bc610112
         hint-0.3.3.3-5cef16f65eb17c2bf48eed0bd20048f8
         mtl-2.0.1.0-91f62d81c946aa60137dcc008e554a3a
         process-1.0.1.5-55dfaccf3a91c4cb8f6284a0bafef198
         show-0.4.1.2-5cb92afc41c1a0647d30539498209cd0
         unix-2.4.2.0-afc96bf5dde63d64686a69f8c6b88fb2
         utf8-string-0.3.7-302d4bf7b407eed8244415d2308048a0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/mueval-0.8.1/html/mueval.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/mueval-0.8.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
